# SIPDigestAuthentication Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPDigestAuthentication:

List of all members.

## Public Types

enum | Algorithm { Algorithm_MD5, NumAlgorithms }

## Public Member Functions

| SIPDigestAuthentication ()
SIPDigestAuthentication & | operator= (const SIPDigestAuthentication &auth)
bool | EquivalentTo (const SIPAuthentication &_oldAuth)
PBoolean | Parse (const PString &auth, PBoolean proxy)
PBoolean | Authorise (SIP_PDU &pdu) const
const PString & | GetNonce () const
Algorithm | GetAlgorithm () const
const PString & | GetOpaque () const

## Protected Attributes

PString | nonce
Algorithm | algorithm
PString | opaque
PBoolean | qopAuth
PBoolean | qopAuthInt
PString | cnonce
PAtomicInteger | nonceCount

## Member Enumeration Documentation

enum SIPDigestAuthentication::Algorithm

Enumerator:

  Algorithm_MD5 |
  NumAlgorithms |

## Constructor & Destructor Documentation

SIPDigestAuthentication::SIPDigestAuthentication | ( |  | ) |

## Member Function Documentation

SIPDigestAuthentication& SIPDigestAuthentication::operator= | ( | const SIPDigestAuthentication & | auth | ) |

bool SIPDigestAuthentication::EquivalentTo | ( | const SIPAuthentication & | _oldAuth | ) | `[virtual]`

Implements SIPAuthentication.

PBoolean SIPDigestAuthentication::Parse | ( | const PString & | auth,
|  | PBoolean | proxy |
| ) |  |  | `[virtual]`

Implements SIPAuthentication.

PBoolean SIPDigestAuthentication::Authorise | ( | SIP_PDU & | pdu | ) | const`[virtual]`

Implements SIPAuthentication.

const PString& SIPDigestAuthentication::GetNonce | ( |  | ) | const`[inline]`

Algorithm SIPDigestAuthentication::GetAlgorithm | ( |  | ) | const`[inline]`

const PString& SIPDigestAuthentication::GetOpaque | ( |  | ) | const`[inline]`

## Member Data Documentation

PString SIPDigestAuthentication::nonce `[protected]`

Algorithm SIPDigestAuthentication::algorithm `[protected]`

PString SIPDigestAuthentication::opaque `[protected]`

PBoolean SIPDigestAuthentication::qopAuth `[protected]`

PBoolean SIPDigestAuthentication::qopAuthInt `[protected]`

PString SIPDigestAuthentication::cnonce `[protected]`

PAtomicInteger SIPDigestAuthentication::nonceCount `[mutable, protected]`

The documentation for this class was generated from the following file:

- sippdu.h